// wuipath.h - Definitions for WUIMAN path object.
// Copyright (c) 1994 by Ron Burk

#ifndef WUIPATH_H
#define WUIPATH_H

#ifndef WUINAME_H
    #include "wuiname.h"
#endif


// TWuiPath - Class to handle absolute and relative paths.
// Note: this version is unsafe -- Push() may write past
// end of string.
class   TWuiPath
    {
public:
    TWuiPath(char *TotalPath);
    int         Descend();
    int         Ascend();
    int         Push(const char *SubPath);
    int         Push(const TWuiName SubPath);
    int         Pop();
    int         IsLastNode() const;
    TWuiName    CurrentName();
    void        CopyRelativePath(char *Output) const;
    const char *AbsolutePath();
    const char *RelativePath();
    enum    { MAXPATH = 512 };
private:
    char *AbsolutePath_;
    char *RelativePath_;
    };

inline
const char *TWuiPath::AbsolutePath()
    {   MEMBERASSERT();
    return AbsolutePath_;
    }
inline
const char *TWuiPath::RelativePath()
    {   MEMBERASSERT();
    return RelativePath_;
    }


#endif
